package com.unis.base.server.service;

import com.unis.base.common.vo.SampleQueryVO;
import com.unis.base.common.vo.SampleVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: SampleService
 * @ProjectName SampleService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface SampleService {

	/**
	 * 获取样品列表
	 * @param sampleVO
	 * @return
	 */
	List<SampleVO> getSampleList(SampleQueryVO sampleVO);

	/**
	 * 分页获取样品信息列表
	 * @param sampleVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<SampleVO> getSamplePage(SampleQueryVO sampleVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增样品信息
	 * @param sampleVO
	 * @return
	 */
	SampleVO insert(SampleVO sampleVO);

	/**
	 * 更新样品信息
	 * @param sampleVO
	 * @return
	 */
	int update(SampleVO sampleVO);

	/**
	 * 根据样品ID删除样品信息
	 * @param ypid
	 * @return
	 */
	int delete(String ypid);

	/**
	 * 根据样品ID获取样品信息
	 * @param ypid
	 * @return 样品信息
	 */
	SampleVO getSampleInfoByypid(String ypid);

	/**
	 * 批量新增样品信息
	 * @param sampleVO
	 * @return
	 */
	int batchInserts(List<SampleVO> sampleVO);

	/**
	 * 用样品单编号获取样品信息
	 * @param ypdbh
	 * @return
	 */
	SampleVO getSampleInfoByypdid(String ypdbh);

}
